<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>de.adesso.thesis.osgi.microfrontend</groupId>
    <artifactId>parent</artifactId>
    <version>0.0.1-SNAPSHOT</version>
  </parent>
  <artifactId>jackson-bundle</artifactId>
  <description>Provides jackson dependencies</description>
  <packaging>bundle</packaging>
  
  
  <dependencies>
		<dependency>
			<groupId>org.osgi</groupId>
			<artifactId>org.osgi.core</artifactId>
			<version>6.0.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.glassfish.jersey.media</groupId>
			<artifactId>jersey-media-json-jackson</artifactId>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.module</groupId>
			<artifactId>jackson-module-osgi</artifactId>
			<version>2.9.5</version>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.jaxrs</groupId>
			<artifactId>jackson-jaxrs-json-provider</artifactId>
			<version>2.9.5</version>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.jaxrs</groupId>
			<artifactId>jackson-jaxrs-base</artifactId>
			<version>2.9.5</version>
		</dependency>
		<dependency>
			<groupId>com.fasterxml.jackson.module</groupId>
			<artifactId>jackson-module-jaxb-annotations</artifactId>
			<version>2.9.5</version>
		</dependency>
		<dependency>
		    <groupId>com.fasterxml.jackson.core</groupId>
		    <artifactId>jackson-annotations</artifactId>
		    <version>2.9.5</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.felix</groupId>
				<artifactId>maven-bundle-plugin</artifactId>
			</plugin>
		</plugins>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.felix</groupId>
					<artifactId>maven-bundle-plugin</artifactId>
					<version>3.5.1</version>
					<extensions>true</extensions>
					<configuration>
						<manifestLocation>target/META-INF</manifestLocation>
						<instructions>
							<Embed-Dependency>
								*;scope=compile|runtime;type=!pom
							</Embed-Dependency>
							<Embed-Transitive>true</Embed-Transitive>
							<Embed-Directory>libs</Embed-Directory>
							<Export-Package>
								com.fasterxml.jackson.databind.*,
								com.fasterxml.jackson.core.*,
								com.fasterxml.jackson.annotation.*,
								com.fasterxml.jackson.module.jaxb.*,
								com.fasterxml.jackson.jaxrs.*
							</Export-Package>
													<Import-Package>
							javax.ws.rs;version="[2.0.0,3)",
							javax.ws.rs.core;version="[2.0.0,3)",
							javax.ws.rs.container;version="[2.0.0,3)",
							javax.ws.rs.ext;version="[2.0.0,3)",
							org.glassfish.jersey.servlet;version="[2.22.2,3)",
							*
						</Import-Package>
							<Bundle-Activator>de.adesso.thesis.osgi.microfrontend.main.impl.jackson.JacksonFeatureActivator</Bundle-Activator>
						</instructions>
					</configuration>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
  
</project>